import request from '@/utils/request'

// 查询看课投诉记录列表
export function listUserCourseComplaintRecord(query) {
  return request({
    url: '/course/userCourseComplaintRecord/list',
    method: 'get',
    params: query
  })
}

// 查询看课投诉记录详细
export function getUserCourseComplaintRecord(recordId) {
  return request({
    url: '/course/userCourseComplaintRecord/' + recordId,
    method: 'get'
  })
}
//查询看课投诉记录详细-客户所属关系
export function getUserCourseComplaintRecordByUserId(userId) {
  return request({
    url: '/course/userCourseComplaintRecord/getInfoByUserId/' + userId,
    method: 'get'
  })
}

//
// // 新增看课投诉记录
// export function addUserCourseComplaintRecord(data) {
//   return request({
//     url: '/course/userCourseComplaintRecord',
//     method: 'post',
//     data: data
//   })
// }
//
// // 修改看课投诉记录
// export function updateUserCourseComplaintRecord(data) {
//   return request({
//     url: '/course/userCourseComplaintRecord',
//     method: 'put',
//     data: data
//   })
// }

// 删除看课投诉记录
export function delUserCourseComplaintRecord(recordId) {
  return request({
    url: '/course/userCourseComplaintRecord/' + recordId,
    method: 'delete'
  })
}

// 导出看课投诉记录
export function exportUserCourseComplaintRecord(query) {
  return request({
    url: '/course/userCourseComplaintRecord/export',
    method: 'get',
    params: query
  })
}
